zenilib: SDL_VideoDisplay Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_VideoDisplay Struct Reference

`#include <SDL_sysvideo.h>`

## Public Attributes

SDL_DisplayMode | current_mode
SDL_DisplayMode | desktop_mode
SDL_VideoDevice * | device
SDL_DisplayMode * | display_modes
void * | driverdata
SDL_Window * | fullscreen_window
int | max_display_modes
char * | name
int | num_display_modes

## Detailed Description

Definition at line 113 of file SDL_sysvideo.h.

## Member Data Documentation

SDL_DisplayMode SDL_VideoDisplay::current_mode

Definition at line 120 of file SDL_sysvideo.h.

Referenced by SDL_AddBasicVideoDisplay(), SDL_GetCurrentDisplayMode(), SDL_GetDisplayBounds(), SDL_GetWindowPixelFormat(), and SDL_SetDisplayModeForDisplay().

SDL_DisplayMode SDL_VideoDisplay::desktop_mode

Definition at line 119 of file SDL_sysvideo.h.

Referenced by SDL_AddBasicVideoDisplay(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetDesktopDisplayMode(), SDL_GetWindowDisplayMode(), SDL_SetDisplayModeForDisplay(), and SDL_VideoQuit().

SDL_VideoDevice* SDL_VideoDisplay::device

Definition at line 124 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay().

SDL_DisplayMode* SDL_VideoDisplay::display_modes

Definition at line 118 of file SDL_sysvideo.h.

Referenced by SDL_AddDisplayMode(), SDL_GetClosestDisplayModeForDisplay(), SDL_GetDisplayMode(), SDL_GetNumDisplayModesForDisplay(), and SDL_VideoQuit().

void* SDL_VideoDisplay::driverdata

Definition at line 126 of file SDL_sysvideo.h.

Referenced by SDL_GetDisplayDriverData(), and SDL_VideoQuit().

SDL_Window* SDL_VideoDisplay::fullscreen_window

Definition at line 122 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowDisplayIndex(), and SDL_UpdateFullscreenMode().

int SDL_VideoDisplay::max_display_modes

Definition at line 116 of file SDL_sysvideo.h.

Referenced by SDL_AddDisplayMode().

char* SDL_VideoDisplay::name

Definition at line 115 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay(), SDL_GetDisplayName(), and SDL_VideoQuit().

int SDL_VideoDisplay::num_display_modes

Definition at line 117 of file SDL_sysvideo.h.

Referenced by SDL_AddDisplayMode(), SDL_GetNumDisplayModesForDisplay(), and SDL_VideoQuit().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/SDL_sysvideo.h